Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361611 - Kickstart install fails with: Volume group "vg0" given in volgroup command does not exist.
Summary: Kickstart install fails with: Volume group "vg0" given in volgroup command do...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 13:53 UTC by Anders Blomdell
Modified: 2017-08-08 16:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:02:17 UTC


Attachments (Terms of Use)
Virtual machine description (deleted)
2016-07-29 13:59 UTC, Anders Blomdell
no flags Details
Script to format virtual machine disks (after 'sgdisk -o' on each disk) (deleted)
2016-07-29 14:02 UTC, Anders Blomdell
no flags Details
Kickstart file with some parts ellipsed out (...) (deleted)
2016-07-29 14:08 UTC, Anders Blomdell
no flags Details
Debugging info for populator.py (deleted)
2016-07-29 14:11 UTC, Anders Blomdell
no flags Details | Diff
Ugly workaround (deleted)
2016-07-29 15:30 UTC, Anders Blomdell
no flags Details | Diff

Description Anders Blomdell 2016-07-29 13:53:10 UTC
Description of problem:

When trying to kickstart install Fedora-24 on a system with LVM on top of software RAID1, it fails with:

  Volume group "vg0" given in volgroup command does not exist.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Create a software raid on top of two disks
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Anders Blomdell 2016-07-29 13:59:33 UTC
Created attachment 1185568 [details]
Virtual machine description

Comment 2 Anders Blomdell 2016-07-29 14:02:23 UTC
Created attachment 1185570 [details]
Script to format virtual machine disks (after 'sgdisk -o' on each disk)

Comment 3 Vratislav Podzimek 2016-07-29 14:03:12 UTC
This looks to me like a duplicate of #1359122 Could you please check that out?

Comment 4 Anders Blomdell 2016-07-29 14:08:02 UTC
Created attachment 1185571 [details]
Kickstart file with some parts ellipsed out (...)

Comment 5 Anders Blomdell 2016-07-29 14:11:47 UTC
Created attachment 1185574 [details]
Debugging info for populator.py

Comment 6 Vratislav Podzimek 2016-07-29 14:12:16 UTC
(In reply to Vratislav Podzimek from comment #3)
> This looks to me like a duplicate of #1359122 Could you please check that
> out?

I meant bug #1350163. Sorry for the confusion.

Comment 7 Anders Blomdell 2016-07-29 14:23:09 UTC
(In reply to Vratislav Podzimek from comment #6)
> (In reply to Vratislav Podzimek from comment #3)
> > This looks to me like a duplicate of #1359122 Could you please check that
> > out?
> 
> I meant bug #1350163. Sorry for the confusion.

Similar, but not the same, here the culprit is that after applying https://bugzilla.redhat.com/attachment.cgi?id=1185574&action=diff 
I get the following in the storage.log:

INFO blivet: got format: existing lvmpv
DEBUG blivet:                Populator.handleUdevLVMPVFormat: name: root ; path: /dev/md/root ; type: lvmpv ;
WARN blivet: BEFORE /dev/md/root {'/dev/md127': <BlockDev.LVMPVdata object at 0x7ff53130eee8 (BDLVMPVdata at 0x55fe6b92a900)>}
WARN blivet: AFTER /dev/md/root {'/dev/md127': <BlockDev.LVMPVdata object at 0x7ff53130eee8 (BDLVMPVdata at 0x55fe6b92a900)>} None
DEBUG blivet:           Populator.addUdevDevice: name: vdb ; info: {'DEVLINKS': '/dev/disk/by-path/virtio-pci-0000:00:05.0',

i.e. somwhere before the anaconda picked up /dev/md127 instead of /dev/md/root. In Fedora-23 I get:
WARN blivet: BEFORE /dev/md/root {'/dev/md/root': <BDLVMPVdata at 0x55c5a7313e10>}
WARN blivet: AFTER /dev/md/root {'/dev/md/root': <BDLVMPVdata at 0x55c5a7313e10>} <BDLVMPVdata at 0x55c5a7313e10>
DEBUG blivet:                  DeviceTree.getDeviceByUuid: hidden: False ; incomplete: True ; uuid: WPQTXE-XMwb-vGh4-cu60-Q3Op-r2x8-xoyivS ;
DEBUG blivet:                  DeviceTree.getDeviceByUuid returned None
DEBUG blivet:                  DeviceTree.getDeviceByName: hidden: False ; incomplete: False ; name: vg0 ;
DEBUG blivet:                  DeviceTree.getDeviceByName returned None
DEBUG blivet: getFormat('None') returning DeviceFormat instance with object id 56
DEBUG blivet:                        LVMVolumeGroupDevice._addParent: vg0 ; member: root ;
DEBUG blivet:                          MDRaidArrayDevice.addChild: kids: 0 ; name: root ;
DEBUG blivet: getFormat('None') returning DeviceFormat instance with object id 57
DEBUG blivet:                     LVMVolumeGroupDevice._setFormat: vg0 ; type: None ; current: None ;
DEBUG blivet: existing RAID raid1 size == 89.94 GiB
INFO blivet: added lvmvg vg0 (id 55) to device tree
DEBUG blivet:                    DeviceTree.getDeviceByName: hidden: False ; incomplete: False ; name: vg0-src ;
DEBUG blivet:                    DeviceTree.getDeviceByName returned None
DEBUG blivet:                    DeviceTree.getDeviceByUuid: hidden: False ; incomplete: False ; uuid: LONFgu-rGN3-fnyP-uplU-0Ykx-XKUy-bBdEk4 ;
DEBUG blivet:                    DeviceTree.getDeviceByUuid returned None
DEBUG blivet: getFormat('None') returning DeviceFormat instance with object id 60
DEBUG blivet:                          LVMVolumeGroupDevice.addChild: kids: 0 ; name: vg0 ;
... Lots of more lvm stuff

Comment 8 Anders Blomdell 2016-07-29 15:30:02 UTC
Created attachment 1185594 [details]
Ugly workaround

Problem should probably be fixed elsewhere...

Comment 9 Fedora End Of Life 2017-07-25 22:08:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-08-08 16:02:17 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.